Ostrzeżenie Gedit: GtkScrolledWindow jest mapowany, ale widoczny podrzędny GtkScrollbar nie jest mapowany


8

Kiedy używam gedit, pojawia się ostrzeżenie:

(gedit:3166): Gtk-WARNING **: GtkScrolledWindow 0x236cd10 is mapped but visible child GtkScrollbar 0x2307ab0 is not mapped

Jak mogę to naprawić?

Odpowiedzi:


3

Ponownie zainstaluj pasek przewijania nakładki. Mam nadzieję, że rozwiąże to problem.


Nie rozwiązuje to problemu w czystej instalacji 14.04.3 zaktualizowanej do 2 stycznia 2016 r.
H2ONaCl

8

To był błąd w pasku przewijania nakładki, który został naprawiony tutaj w starterze. Zostało to naprawione.

Więc po prostu biegnij

sudo apt-get update
sudo apt-get install overlay-scrollbar

2
Jeśli jest to naprawiony błąd w momencie wysyłania odpowiedzi (17 maja 2014 r.), To czy nie byłoby standardowych aktualizacji oprogramowania ubuntu naprawionych przez ten komentarz (21 maja 2014 r.)? Wydaje się, że w aktualizacjach oprogramowania występuje błąd związany z tym, że ponowna instalacja tej samej wersji overlay-scrollbar rozwiązała problem. Dziwne!
user29020

co oznacza ten błąd? Czy jest jakaś zmiana w wyrównaniu danych lub mieszaniu między wierszami, gdy ten błąd jest pokazywany przez gedit.
przeczucie

1
Nie rozwiązuje to problemu w czystej instalacji 14.04.3 zaktualizowanej do 2 stycznia 2016 r.
H2ONaCl

5

Do czasu aktualizacji aktualizacji po 14.04, kontynuuj i ponownie zainstaluj pakiet:
sudo apt-get --reinstall install overlay-scrollbar


1
Nie rozwiązuje to problemu w czystej instalacji 14.04.3 zaktualizowanej do 2 stycznia 2016 r.
H2ONaCl

0

Dla mnie też nie działało, przy świeżej instalacji ROS i Ubuntu 14.04 przy użyciu pakietu opracowanego i dystrybuowanego przez ROS.org. @dmuk czy możemy po prostu zignorować wiadomości i kontynuować bez obaw? Dzięki.

Korzystając z naszej strony potwierdzasz, że przeczytałeś(-aś) i rozumiesz nasze zasady używania plików cookie i zasady ochrony prywatności.
Licensed under cc by-sa 3.0 with attribution required.